{
  "index_patterns": ["{{ elasticsearch_metadata_index_name_prefix }}{{ elasticsearch_metadata_index_version }}_*", "{{ elasticsearch_metadata_index_internal_name_prefix }}{{ elasticsearch_metadata_index_version }}_*"],
  "template": {
    "settings": {
      "index": {
{% if search_index_features_use_synonyms %}
        "analysis": {
          "analyzer": {
            "default": {
              "type": "standard"
            },
            "default_search": {
              "tokenizer": "standard",
              "filter": [ 
                "lowercase",
                "graph_synonyms"
              ]
            }            
          },
          "filter": {
            "graph_synonyms": {
              "type": "synonym_graph",
              "synonyms_path": "synonym.txt",
              "updateable": true
            }
          }
        },
{% endif %}
        "number_of_shards": "{{ elasticsearch_metadata_index_number_of_shards }}",
        "number_of_replicas": "{{ elasticsearch_metadata_index_number_of_replicas }}"
      }
    },
    "mappings" : {
      "dynamic": "false",
      "properties" : {
        "myproperty" : {
          "type" : "text"
        }
      }
    }
  }
}